Subject: bug#43435: closed (Re: bug#43435: bootstrap (bash-mesboot0) and’make release’ error)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 16 Sep 2020 11:12:02 +0000

Your bug report

#43435: bootstrap (bash-mesboot0) and ’make release’ error

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
43435: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=43435
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#43435: bootstrap (bash-mesboot0) and ’make release’ error
From: zimoun <[email-masked]>
To: Jan Nieuwenhuizen <[email-masked]>
Cc: [email-masked]
Date: Wed, 16 Sep 2020 13:11:40 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi janneke,

On Wed, 16 Sep 2020 at 08:13, Jan Nieuwenhuizen <[email-masked]> wrote:

> a commented store file name was added inside a code snippet.  Changing
> this comment to something like
>
>     // /gnu/store/...-tcc-boot0-0.9.26-6.c004e9a/lib/libc.a: error: 'sigprocmask' defined twice
>
> would pass the check, but this triggers a rebuld world.  So I am
> proposing the attached patch that breaks the comment to pass the check,
> and using unquoted string-append to  avoid a world rebuild.

Thank you for explaining and the patch.

As you noticed, it seems a duplicate of bug #43005
<http://issues.guix.gnu.org/issue/43005> and the fix had been pushed to
master as b85863f7ce99d05205e57358b36ff50656cca08b.

Closing.

All the best,
simon

Subject: bootstrap (bash-mesboot0) and ’make release’ error
From: zimoun <[email-masked]>
To: [email-masked]
Date: Wed, 16 Sep 2020 00:02:11 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear,

Reading the release document [1] and going step by step, so I start from
a fresh worktree and branch and I tweak a bit (maybe I am doing wrong)
otherwise it fails:

   ./bootstrap && ./configure --localstatedir=/var/
   make
   make GUIX_MAINTENANCE_DIRECTORY=../../maintenance update-NEWS
   make doc-pot-update

then the target and the error:

--8<---------------cut here---------------start------------->8---
$ make release

[...]

make[4]: Leaving directory '/home/simon/src/guix/wk/rel/po/packages'
make  \
  top_distdir="guix-1.0.1.22205-a8360-dirty" distdir="guix-1.0.1.22205-a8360-dirty" \
  dist-info dist-hook
make[4]: Entering directory '/home/simon/src/guix/wk/rel'
  GEN      gen-ChangeLog
  GEN      gen-AUTHORS
echo 1.0.1.22205-a8360-dirty > "guix-1.0.1.22205-a8360-dirty/.tarball-version"
guix-1.0.1.22205-a8360-dirty/gnu/packages/commencement.scm:// /gnu/store/cq0cmv35s9dhilx14zaghlc08gpc0hwr-tcc-boot0-0.9.26-6.c004e9a/lib/libc.a: error: 'sigprocmask' defined twice
error: store file names embedded in the distribution
make[4]: *** [Makefile:6335: assert-no-store-file-names] Error 1
--8<---------------cut here---------------end--------------->8---

The checkout is based on commit a8360892d7.

On IRC [2], it rings a bell. :-)  The error should come from
’bash-mesboot0’ in (gnu packages commencement) at the ’modify-phases’
[3]:

--8<---------------cut here---------------start------------->8---
         (add-after 'configure 'configure-fixups
           (lambda _
             (substitute* "config.h"
               (("#define GETCWD_BROKEN 1") "#undef GETCWD_BROKEN"))
             (let ((config.h (open-file "config.h" "a")))
               (display (string-append "
// tcc: error: undefined symbol 'enable_hostname_completion'
#define enable_hostname_completion(on_or_off) 0

// /gnu/store/cq0cmv35s9dhilx14zaghlc08gpc0hwr-tcc-boot0-0.9.26-6.c004e9a/lib/libc.a: error: 'sigprocmask' defined twice
#define HAVE_POSIX_SIGNALS 1
#define endpwent(x) 0
")
                        config.h)
               (close config.h))
             #t))
--8<---------------cut here---------------end--------------->8---

Let indicate me how to investigate, I have no clue. :-)

All the best,
simon

[1]:
<https://git.savannah.gnu.org/cgit/guix/maintenance.git/tree/doc/release.org>
[2]: <http://logs.guix.gnu.org/guix/2020-09-15.log#175141>
[3]
<https://git.savannah.gnu.org/cgit/guix.git/tree/gnu/packages/commencement.scm#n786>